LDD(1)

NAME
ldd - print shared library dependencies

SYNOPSIS
ldd [-vVdr] program ...

DESCRIPTION
ldd prints the shared libraries required by each program specified on the command line.

For a.out programs, ldd simply forks and execs each program with argc equal to zero. The a.out dynamic linker, ld.so, which normally loads the shared libraries, notices this special case and prints the dependencies.

For ELF programs, ldd forks and execs each program with the appropriate environment variables set. The ELF dynamic linker, ld-linux.so, which normally loads the shared libraries, notices this special case and prints the dependencies.

OPTIONS

-v  Print the version number of ldd.

-V  Print the version number of the dynamic linker, ld.so.

-d  Perform relocations and report any missing functions (ELF only).

-r  Perform relocations for both data objects and functions, and report any missing objects (ELF only).

BUGS
ldd will not work with some extremely old programs which were linked before ldd support was added to the compiler releases. If you use ldd on one of these programs, the program will attempt to run with argc = 0 and the results will be unpredictable.

AUTHOR
David Engel.

SEE ALSO
ldconfig(8), ld.so(8), ld.so.info.